=== debian/changelog ===
recoll (1.34.3-1) unstable; urgency=medium

  * New upstream release:
    + Fixed issue related to recollaspell.

 -- Kartik Mistry <kartik@debian.org>  Wed, 15 Feb 2023 23:02:18 +0530

recoll (1.34.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 4.6.2
    + Added Build-Dep: qttools5-dev
  * debian/not-installed:
    + Ignore unrelated not-to-be-installed files.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sun, 05 Feb 2023 11:14:10 +0530

recoll (1.33.2-1) unstable; urgency=low

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and libxapian-dev.

  [ Kartik Mistry ]
  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Tue, 15 Nov 2022 18:16:05 +0530

recoll (1.32.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules:
    + Build package without systemd, patch by Graham Inggs <<ginggs@debian.org>
      (Closes: #1019127)

 -- Kartik Mistry <kartik@debian.org>  Thu, 15 Sep 2022 14:02:55 +0530
