## recoll 1.34.7

=== debian/changelog ===
recoll (1.34.7-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Tue, 20 Jun 2023 17:20:48 +0530
