=== kde/krunner/CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,9 @@
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS I18n Config Runner KIO Notifications)
 
+## Recoll stuff
+set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../)
 
-## Recoll stuff
 add_definitions(
     -DRECOLL_DATADIR="${CMAKE_INSTALL_PREFIX}/share/recoll"
     -DLIBDIR="${CMAKE_INSTALL_PREFIX}/lib"
@@ -28,38 +29,47 @@
 )
 
 
-set(rcltop ${CMAKE_CURRENT_SOURCE_DIR}/../../)
-
+if (NOT RECOLL_PUBLIC_LIB)
 # Execute recoll configuration to create autoconfig.h and version.h and
 # generate a PIC lib
 execute_process(COMMAND ${rcltop}/configure --disable-static --disable-qtgui --disable-x11mon --disable-python-chm --disable-python-module --prefix=${CMAKE_INSTALL_PREFIX} --mandir=${CMAKE_INSTALL_PREFIX}/share/man
     WORKING_DIRECTORY ${rcltop}
 )
-
-link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)
-
-include_directories (${CMAKE_SOURCE_DIR}
-  ${rcltop}/aspell 
-  ${rcltop}/bincimapmime
-  ${rcltop}/common 
-  ${rcltop}/index 
-  ${rcltop}/internfile 
-  ${rcltop}/query 
-  ${rcltop}/rcldb 
-  ${rcltop}/unac
-  ${rcltop}/utils 
-  ${rcltop}/qtgui
-)
-
 add_custom_target(rcllib
     COMMAND make -j 3 PicStatic
     WORKING_DIRECTORY ${rcltop}
 )
+link_directories(${rcltop}/.libs ${CMAKE_INSTALL_PREFIX}/lib)
+endif()
 
+include_directories (
+  ${CMAKE_SOURCE_DIR}
+  ${rcltop}/common 
+  ${rcltop}/internfile 
+  ${rcltop}/query 
+  ${rcltop}/rcldb 
+  ${rcltop}/utils 
+)
+
+if (RECOLL_PUBLIC_LIB)
+  include_directories (
+    ${CMAKE_INSTALL_PREFIX}/include/recoll
+  )
+
+  if (EXISTS ${CMAKE_BINARY_DIR}/../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../.libs)
+  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../.libs)
+  elseif(EXISTS ${CMAKE_BINARY_DIR}/../../../../librecoll.la)
+    link_directories(${CMAKE_INSTALL_PREFIX}/lib ${CMAKE_BINARY_DIR}/../../../../.libs)
+  endif()
+endif()
 
 kcoreaddons_add_plugin(runner_recoll SOURCES recollrunner.cpp INSTALL_NAMESPACE "kf5/krunner")
+if (NOT RECOLL_PUBLIC_LIB)
 add_dependencies(runner_recoll rcllib)
-
+endif()
+set_property(TARGET runner_recoll PROPERTY CXX_STANDARD 14)
 
 target_link_libraries(runner_recoll
     KF5::I18n
