=== debian/changelog ===
recoll (1.36.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:36:53 +1100

recoll (1.36.1-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:59:49 +0000

recoll (1.36.1-1) unstable; urgency=low

  * New upstream release.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Nov 2023 16:32:33 +0530

recoll (1.35.0-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    + Remove generated .qm files to fix 'Fails to build source after successful
      build' (Closes: #1046946)
  * Refreshed debian/patches/blhc.diff patch.

 -- Kartik Mistry <kartik@debian.org>  Sun, 17 Sep 2023 17:09:49 +0530
