=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: recoll
 Section: x11
 Priority: optional
-Maintainer: Kartik Mistry <kartik@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kartik Mistry <kartik@debian.org>
 Build-Depends: bison,
                debhelper-compat (= 13),
                dh-python,
