=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/lib/python*/*/*/__pycache__
 	# Remove legacy format appdata.xml
 	rm -f $(CURDIR)/debian/tmp/usr/share/metainfo/recoll.appdata.xml
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf $(CURDIR)/qtqui/.qm
